body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
}

.background {
    position: relative;
    height: 100%;
    width: 100%;
    background: url('bg.jpg') no-repeat center center;
    background-size: cover;
}

.blur-overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: inherit;
    filter: blur(8px);
}

.centered-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0, 0, 0, 0.7); /* Semi-transparent background */
    padding: 70px;
    border-radius: 122px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}

/* Additional styling for content */
h1 {
   margin: 0;
   margin-top: 50px;
   text-align: left;
   font-size: 2rem;
   color: rgb(220,220,220);
   font-family: "Goudy Bookletter 1911", sans-serif;
}

p {
   margin-top: 0.8rem;
   font-size: 1.2rem;
   font-weight: bold;
   color: rgba(180,180,180);
   text-align: right;
   font-family: "Goudy Bookletter 1911", sans-serif;
}

.logo-img {
   heigth: 20%;
}

/* Responsive adjustments */
@media (max-width: 600px) {
    .centered-content {
        width: 90%;
    }
}
